Skip to navigation

Get Customer Address

Deprecated

Returns a Customer Address.

Authentication

X-Auth-Tokenstring

OAuth scopes

UI NamePermissionParameter
Customersmodifystore_v2_customers
Customersread-onlystore_v2_customers_read_only

Authentication header

HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

Further reading

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.

Path parameters

customer_idintegerRequired
Unique numeric ID of the customer.
customer_address_idintegerRequired
ID of the customer address.
store_hashstringRequired
Permanent ID of the BigCommerce store.

Headers

AcceptstringRequiredDefaults to application/json

The MIME type of the response body.

Query parameters

pagedoubleOptional
Number of pages.
limitdoubleOptional
Count per page.

Response

OK
citystring

The customer’s city/town/suburb.

countrystring

The customer’s country. Must be the full country name.

first_namestring

The customer’s first name.

last_namestring

The customer’s last name.

phonestring

The customer’s phone number.

statestring

The customer’s state/province. Do not abbreviate the state; spell out the entire word. For example, California. (Cannot be null. As a workaround for addresses that include no state/province string, pass a space as the “state” value.)

street_1string

The customer’s street address, line 1.

zipstring

The customer’s ZIP or postal code.

address_typeenumOptional
Allowed values:
companystringOptional

The customer’s company name.

country_iso2stringOptionalRead-only

2-letter ISO Alpha-2 code for the customer’s country. Read-Only.

customer_idintegerOptional
ID of the associated customer.
idintegerOptionalRead-only

ID of this customer address. Read-Only.

street_2stringOptional

The customer’s street address, line 2.